# Wordpress with docker-scripts

## 1. Install dependencies

### 1.1. Install docker

```
curl -fsSL https://get.docker.com -o get-docker.sh
sudo sh get-docker.sh
```

Reference: https://docs.docker.com/engine/install/ubuntu/#install-using-the-convenience-script

### 1.2. Install docker-scripts

```
apt install m4
git clone https://gitlab.com/docker-scripts/ds /opt/docker-scripts/ds
cd /opt/docker-scripts/ds/
make install
ds -v
ds -h
```

Reference: https://gitlab.com/docker-scripts/ds#installation

### 1.3. Install Webserver Proxy

```
ds pull wsproxy
ds init wsproxy @wsproxy
cd /var/ds/wsproxy/
vim settings.sh
ds make
```

Reference: https://gitlab.com/docker-scripts/wsproxy#installation

### 1.4. Install MariaDB

```
ds pull mariadb
ds init mariadb @mariadb
cd /var/ds/mariadb/
vim settings.sh
ds make
```

Reference: https://gitlab.com/docker-scripts/mariadb#installation

## 2. Install Wordpress sites

### 2.1. Install Wordpress container

```
ds pull wordpress
ds init wordpress @wordpress1
cd /var/ds/wordpress1/
vim settings.sh
ds make
```

Reference: https://gitlab.com/docker-scripts/wordpress#installation

### 2.2. Install site1